<?php
include_once ("config.php");

if(isset($_GET['keyword'])){
$keyword = trim($_GET['keyword']) ;
$keyword = mysqli_real_escape_string($db_conx, $keyword);

$sqlls = "SELECT * FROM `songs` WHERE `artist` LIKE '%$keyword%' AND (song_type='0') OR `title` LIKE '%$keyword%' AND (song_type='0') ORDER BY `artist` LIMIT 40";
$lsresult = mysqli_query($db_conx, $sqlls);
if($lsresult){
if(mysqli_affected_rows($db_conx)!=0){
while($lsrow = mysqli_fetch_assoc($lsresult)) {
	$lssongID = mysqli_real_escape_string($db_conx, $lsrow['ID']);
	$lsartist = mysqli_real_escape_string($db_conx, $lsrow['artist']);
	$lstitle = mysqli_real_escape_string($db_conx, $lsrow['title']);
	
	$lsmmss = convertTime($lsrow['duration']);
	
	$lsartist = stripslashes($lsartist);
	$lstitle = stripslashes($lstitle);
	
	$lreqimage = $lsrow['image'];
	
	$lsartistcut = preg_replace('/\s+?(\S+)?$/', '', substr($lsrow['artist'] . ' ', 0, 42)). '';
	$lstitlecut = preg_replace('/\s+?(\S+)?$/', '', substr($lsrow['title'] . ' ', 0, 24)). '...';
	
	$PhpDatels = strtotime($lsrow["date_played"]);
	$lsdplayed = date('d M, Y', $PhpDatels);
	
$reqbtn = '';
$sqlcheckreq = mysqli_query($db_conx, "SELECT * FROM `requests` WHERE `songID`='".$lssongID."' AND `requested` > NOW() - INTERVAL 1 HOUR");
if(mysqli_num_rows($sqlcheckreq)) {
$reqbtn = '<div class="rdjbuttonrqd">REQUESTED</div>';
}else{
$reqbtn = '
<button onclick="document.getElementById(\'iREQ'.$lssongID.'-RDJ\').style.display=\'block\'" class="rdjbutton">REQUEST</button>
';
}

echo '
<ul class="reqil">
  <li style="width:10%;"><img src="Album-Art/'.$lreqimage.'" width="100%" style="min-width:70px;min-height:70px;max-width:70px;max-height:70px;" alt="'.$lsartist.'" title="'.$lsartist.'" /></li>
  <li style="width:34%;">' . $lsartist . '</li>
  <li style="width:32%;">' . $lstitle . '</li>  
  <li style="width:6%;">' . $lsmmss . '</li>  
  <li style="width:15%;">'.$reqbtn.'</li>
</ul>


<!-- The RDJ Modal -->
<div id="iREQ'.$lssongID.'-RDJ" class="rdjmodal">
<span onclick="document.getElementById(\'iREQ'.$lssongID.'-RDJ\').style.display=\'none\'" class="rdjclose" title="Close">&times;</span>

<div class="rdjcontainer">
      <ul class="reqil">
	  <li style="width:24%;"><img src="Album-Art/'.$lreqimage.'" style="min-width:110px;min-height:110px;max-width:110px;max-height:110px;" alt="'.$lsartist.'" class="rdjavatar"></li>
	  <li style="width:72%;"><h4>'.$lsartist.'</h4>'.$lstitle.'</li>
	  </ul>
</div>

<div class="rdjcontainer">
<div id="interactionResult'.$lssongID.'">
<form action="javascript:send'.$lssongID.'REQ();" name="req'.$lssongID.'" id="req'.$lssongID.'" method="post">
<input name="reqname'.$lssongID.'" type="text" id="reqname'.$lssongID.'" style="padding:12px;width:80%;" placeholder="Your name" class="rdjinput" />
<textarea name="rmessage'.$lssongID.'" id="rmessage'.$lssongID.'" rows="2" style="padding:12px;width:80%;" placeholder="Add a message to display on site when '.$lsartist.' is played (optional)" class="rdjinput"></textarea>
<button type="submit" class="rdjbutton" style="width:80%;" name="req'.$lssongID.'">Request this song to be played.</button>
</form>
</div>
</div>

</div>

<script type="text/javascript">
var rdjmodal = document.getElementById("iREQ'.$lssongID.'-RDJ");

$("#req'.$lssongID.'").submit(function(){$("input[type=submit]", this).attr("disabled", "disabled");});
function send'.$lssongID.'REQ() {
	  var reqname = $("#reqname'.$lssongID.'");
	  var rmessage = $("#rmessage'.$lssongID.'");
	  var rsongid = "'.$lssongID.'";
	  var url = "requests.parse.php";
      $.post(url,{reqname: reqname.val(), rmessage: rmessage.val(), rsongid: rsongid} , function(data) {
			   $("#interactionResult'.$lssongID.'").html(data).show();
			   document.send'.$lssongID.'REQ.rsongid.value="";
      });
}
</script>
';
}
}else{
echo '
<div class="alert alert-warning alert-dismissable">
  <h4><i class="fa fa-exclamation-triangle"></i>&nbsp;No Results for : "'.$_GET['keyword'].'"</h4>
  <p>Please try a different search.</p>
</div>

';
}
  
}else{
echo '
<div class="alert alert-danger alert-dismissable">
  <h4><i class="fa fa-exclamation-triangle"></i>&nbsp;ERROR: Parameters Missing</h4>
  <p>System error - not your fault.</p>
</div>

';
}
}
?>