<?php 
require_once("config.php");

$sqlxrr = "SELECT COUNT(*) as num FROM `songs` WHERE `enabled`='1' AND `song_type`='0'";
$xrrresult = mysqli_query($db_conx, $sqlxrr);
$row = mysqli_fetch_row($xrrresult);
$rows = $row[0];
$page_rows = REQPROWS;
$last = ceil($rows/$page_rows);
if($last < 1){
	$last = 1;
}
$pagenum = 1;
if(isset($_GET['pn'])){
	$pagenum = preg_replace('#[^0-9]#', '', $_GET['pn']);
}
if ($pagenum < 1) { 
    $pagenum = 1; 
} else if ($pagenum > $last) { 
    $pagenum = $last; 
}
$limit = 'LIMIT ' .($pagenum - 1) * $page_rows .',' .$page_rows;
$sqlxrr = "SELECT `ID`, `artist`, `title`, `duration`, `date_played`, `artist_played`, `image` FROM `songs` WHERE `enabled`='1' AND `song_type`=0 ORDER BY `artist` ASC $limit";
$xrrresult = mysqli_query($db_conx, $sqlxrr);
$textline1 = "<b>$rows</b> Tracks";
$textline2 = "Page <b>$pagenum</b> of <b>$last</b>";
$paginationCtrls = '';
if($last != 1){
	if ($pagenum > 1) {
        $previous = $pagenum - 1;
		$paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$previous.'"><span aria-hidden="true">&laquo;</span><span class="sr-only">Previous</span></a></li>';
		for($i = $pagenum-7; $i < $pagenum; $i++){
			if($i > 0){
		        $paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$i.'">'.$i.'</a></li>';
			}
	    }
    }
	$paginationCtrls .= '<li><a href="#" class="active">'.$pagenum.'</a></li>';
	for($i = $pagenum+1; $i <= $last; $i++){
		$paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$i.'">'.$i.'</a></li>';
		if($i >= $pagenum+7){
			break;
		}
	}
    if ($pagenum != $last) {
        $next = $pagenum + 1;
        $paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$next.'"><span aria-hidden="true">&raquo;</span><span class="sr-only">Next</span></a></li>';
    }
}
$requestlist = '';
while($xrrrow = mysqli_fetch_assoc($xrrresult)) {
	$ttsongID = $xrrrow['ID'];
	$ttartist = mysqli_real_escape_string($db_conx, $xrrrow['artist']);
	$tttitle = mysqli_real_escape_string($db_conx, $xrrrow['title']);
	
	$mmss = convertTime($xrrrow['duration']);
	
	$ttartist = stripslashes($ttartist);
	$tttitle = stripslashes($tttitle);
	
	$reqimage = $xrrrow['image'];
	
	$artistcut = preg_replace('/\s+?(\S+)?$/', '', substr($xrrrow['artist'] . ' ', 0, 42)). '';
	$titlecut = preg_replace('/\s+?(\S+)?$/', '', substr($xrrrow['title'] . ' ', 0, 24)). '...';
	
	$PhpDate2 = strtotime($xrrrow["date_played"]);
	$dplayed = date('d M, Y', $PhpDate2);
	
//////////////// ALLOW REQUEST ELSEIF DISPLAY SONG ONLY ////////////////////
$reqbtn = '';
$sqlcheckreq = mysqli_query($db_conx, "SELECT * FROM `requests` WHERE `songID`='".$ttsongID."' AND `requested` > NOW() - INTERVAL 1 HOUR");
if(mysqli_num_rows($sqlcheckreq)) {
$reqbtn = '<div class="rdjbuttonrqd">REQUESTED</div>';
}else{
$reqbtn = '
<button onclick="document.getElementById(\'iREQ'.$ttsongID.'-RDJ\').style.display=\'block\'" class="rdjbutton">REQUEST</button>
';
}

$requestlist .= '
<ul class="reqil">
  <li style="width:10%;"><img src="Album-Art/'.$reqimage.'" width="100%" style="min-width:70px;min-height:70px;max-width:70px;max-height:70px;" alt="'.$ttartist.'"></li>
  <li style="width:34%;">' . $ttartist . '</li>
  <li style="width:32%;">' . $tttitle . '</li>  
  <li style="width:6%;">' . $mmss . '</li>  
  <li style="width:15%;">'.$reqbtn.'</li>
</ul>


<!-- The RDJ Modal -->
<div id="iREQ'.$ttsongID.'-RDJ" class="rdjmodal">
<span onclick="document.getElementById(\'iREQ'.$ttsongID.'-RDJ\').style.display=\'none\'" class="rdjclose" title="Close">&times;</span>

<div class="rdjcontainer">
      <ul class="reqil">
	  <li style="width:24%;"><img src="Album-Art/'.$reqimage.'" style="min-width:110px;min-height:110px;max-width:110px;max-height:110px;" alt="'.$ttartist.'" class="rdjavatar"></li>
	  <li style="width:72%;"><h4>'.$ttartist.'</h4>'.$tttitle.'</li>
	  </ul>
</div>

<div class="rdjcontainer">
<div id="interactionResult'.$ttsongID.'">
<form action="javascript:send'.$ttsongID.'REQ();" name="req'.$ttsongID.'" id="req'.$ttsongID.'" method="post">
<input name="reqname'.$ttsongID.'" type="text" id="reqname'.$ttsongID.'" style="padding:6px;width:80%;" placeholder="Your name" class="rdjinput" />
<textarea name="rmessage'.$ttsongID.'" id="rmessage'.$ttsongID.'" rows="2" style="padding:6px;width:80%;" placeholder="Add a message to display on site when '.$ttartist.' is played (optional)" class="rdjinput"></textarea>
<button type="submit" class="rdjbutton" style="width:80%;" name="req'.$ttsongID.'">Request this song to be played.</button>
</form>
</div>
</div>

</div>

<script type="text/javascript">
var rdjmodal = document.getElementById("iREQ'.$ttsongID.'-RDJ");

$("#req'.$ttsongID.'").submit(function(){$("input[type=submit]", this).attr("disabled", "disabled");});
function send'.$ttsongID.'REQ() {
	  var reqname = $("#reqname'.$ttsongID.'");
	  var rmessage = $("#rmessage'.$ttsongID.'");
	  var rsongid = "'.$ttsongID.'";
	  var url = "requests.parse.php";
      $.post(url,{reqname: reqname.val(), rmessage: rmessage.val(), rsongid: rsongid} , function(data) {
			   $("#interactionResult'.$ttsongID.'").html(data).show();
			   document.send'.$ttsongID.'REQ.rsongid.value="";
      });
}
</script>
';
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo SITE_NAME; ?> - <?php echo SITE_SLOG; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {
$("#live_search_input").keyup(function()
{
var live_search_input = $(this).val();
var dataString = 'keyword='+ live_search_input;
if(live_search_input.length>1)

{
$.ajax({
type: "GET",
url: "requests.live.php",
data: dataString,
beforeSend:  function() {

$('input#live_search_input').addClass('loading');

},
success: function(server_response)
{

$('#searchresultdata').html(server_response).show();

if ($('input#live_search_input').hasClass("loading")) {
$("input#live_search_input").removeClass("loading");
} 

}
});
}return false;
});
});

</script>
  <style>
    .sidenav {
		background-color:#0f1115;
	  border-bottom:#0e0e0e solid 1px;
      height: 100%;
    }
    @media screen and (max-width: 767px) {
      .row.content {height: auto;} 
    }
  </style>
  <link rel="stylesheet" type="text/css" href="assets/css/style.css">
</head>
<body>
<div id="maincontain">
<nav class="navbar navbar-inverse visible-xs">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="/"><?php echo SITE_NAME; ?></a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav">
        <li><a href="/">Homepage</a></li>
        <li><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li><a href="topreq.php">Top Requested</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid">
  <div class="row content">
    <div class="col-sm-3 sidenav hidden-xs">
      <h2><img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:260px;max-height:70px;" alt="<?php echo SITE_NAME; ?>"></h2>
      <h2 align="center"><?php echo SITE_NAME; ?></h2><h4 align="center"><?php echo SITE_SLOG; ?></h4>
      <ul class="nav nav-pills nav-stacked">
        <li><a href="/">Homepage</a></li>
        <li class="active"><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li><a href="topreq.php">Top Requested</a></li>
      </ul><br /><br /><ul class="nav nav-pills nav-stacked">
        <?php echo TUNEIN; ?>
      </ul>
    <br /><br />
    </div>
    
<div class="media" style="margin-top:10px;padding:4px;">

    <div class="col-sm-12">
    <input  name="query" type="text" id="live_search_input" style="font-size:16px;width:100%;min-width:240px;padding:8px;border:#e6e6e6 solid 1px;border-radius:5px 5px 5px 5px;" placeholder="Type to search by Artist or Title" />
    <hr />
    <div id="searchresultdata" class="xr-liveresuts" align="left" style="margin-bottom:12px;"> </div>
    <?php echo $requestlist; ?>
    </div>
    <div align="center" style="padding:20px;">
      <nav>
        <ul class="pagination">
          <?php echo $paginationCtrls; ?>
        </ul>
      </nav>
    </div>
</div>
    
    
<footer id="footer">
  <p>&copy; <?php echo SITE_NAME; ?> <?php echo date("Y"); ?> All rights reserved. <?php if(!empty(ORS_LNUMB)){ echo '(Licence No:'.ORS_LNUMB.')'; }else{ echo ''; } ?><br /> POWERED BY <a style="color:#d2d2d2;" href="https://radiodj.ro" target="_blank">RADIODJ</a> - Developed By  <a style="color:#d2d2d2;" href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
</footer>
</div>
</body>
</html>