<?php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Fill in all the information below to your settings for the website to connect to your database
// 
// If you have any queries please contact me : emma@stewartswebworks.com
// 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////


///////// SITE INFORMATION //////////////////////////////////////////////////////////////////////////////////
define('SITE_NAME', 'RadioDJ'); // Website name - XperienceRewind
define('SITE_SLOG', 'All the Hits'); // 70s 80s internet radio
define('SITE_URL', 'http://radiodj.localhost/'); // Website url https://xperiencerewind.co.uk/
define('SITE_LOGO', 'assets/img/logo.png');
define('ORS_LNUMB', ''); // Your Online Radio Stream Licence Number


///////// TUNE IN BUTTONS ///////////////////////////////////////////////////////////////////////
// Add your Server details for people to listen to your broadcast : You can remove if you don't have all buttons.
// <li><a href="http://SERVER:PORT" target="_blank"><img src="../images/xrpbtn.png" width="20" height="18" /> Mobile</a></li>
define('TUNEIN', '
<li><a href="http://xperiencerewind.co.uk/mobile.html" target="_blank"><img src="assets/img/xrpbtn.png" width="20" height="18" /> Mobile</a></li>
<li><a href="XperienceRewind.asx"><img src="assets/img/wmpbtn.png" width="20" height="18" /> WMP</a></li>
<li><a href="http://webcast-connect.net/premium/uk3/8390/listen.pls" ><img src="assets/img/wabtn.png" width="20" height="18" /> Winamp</a></li>
<li><a href="http://webcast-connect.net/premium/uk3/8390/listen.ram" ><img src="assets/img/qtbtn.png" width="20" height="18" /> Quicktime</a></li>	   
');

// Admin members list
define('SHUFFCUP', FALSE); // Shuffle upcoming tracks (TRUE / FALSE)
define('REQDISPLAYLIM', '40'); // Top Requested (40)
define('PLDDISPLAYLIM', '40'); // Recently played (40)
define('REQPROWS', '12'); // Show xx Results on Request page

///////// MYSQLI DATABASE INFORMATION ///////////////////////////////////////////////////////////////////////
// You're MySQLi database for the website
define('SITE_HOST', 'localhost'); // localhost
define('SITE_DB', 'xxxx'); // Database name
define('SITE_UNAME', 'xxxx'); // Database username
define('SITE_PASS', 'xxxx'); // Database password

$db_conx = @mysqli_connect(SITE_HOST,SITE_UNAME,SITE_PASS,SITE_DB);

if(!$db_conx) { die(require_once("assets/offline.php")); }

///////// FUNCTIONS - DO NOT EDIT ///////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
function convertTime($seconds) {
	$H = floor($seconds / 3600);
	$i = ($seconds / 60) % 60;
	$s = $seconds % 60;
   return sprintf("%02d:%02d", $i, $s);
}
function getRealIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])){
      //check ip from share internet
	  $ip=$_SERVER['HTTP_CLIENT_IP'];
    }
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
      //to check ip is pass from proxy
	  $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
      $ip=$_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}
?>