<?php
require_once("config.php");
$songs_total = '';
$plyd_total = '';
$artists_total = '';
$reqd_total = '';
$sql_songs = mysqli_query($db_conx, "SELECT `ID` FROM `songs` WHERE `song_type`='0'");
$songs_total = mysqli_num_rows($sql_songs);
$sql_artists = mysqli_query($db_conx, "SELECT `ID`, `artist` FROM `songs` WHERE `song_type`='0' GROUP BY `artist`");
$artists_total = mysqli_num_rows($sql_artists);
$sql_plyd = mysqli_query($db_conx, "SELECT `ID` FROM `requests`");
$plyd_total = mysqli_num_rows($sql_plyd);
$sql_reqd = mysqli_query($db_conx, "SELECT `ID` FROM `history`");
$reqd_total = mysqli_num_rows($sql_reqd);
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo SITE_NAME; ?> - <?php echo SITE_SLOG; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
  <link rel="stylesheet" type="text/css" href="assets/css/style.css">
  <style>
    .sidenav {
		background-color:#0f1115;
	  border-bottom:#0e0e0e solid 1px;
      height: 100%;
    }
    @media screen and (max-width: 767px) {
      .row.content {height: auto;} 
    }
  </style>
</head>
<body>
<div id="maincontain">
<nav class="navbar navbar-inverse visible-xs">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="/"><?php echo SITE_NAME; ?></a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav">
        <li><a href="/">Homepage</a></li>
        <li><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li><a href="topreq.php">Top Requested</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid">
  <div class="row content">
    <div class="col-sm-3 sidenav hidden-xs">
      <h2><img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:260px;max-height:70px;" alt="<?php echo SITE_NAME; ?>"></h2>
      <h2 align="center"><?php echo SITE_NAME; ?></h2><h4 align="center"><?php echo SITE_SLOG; ?></h4>
      <ul class="nav nav-pills nav-stacked">
        <li><a href="/">Homepage</a></li>
        <li><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li><a href="topreq.php">Top Requested</a></li>
      </ul><br /><br /><ul class="nav nav-pills nav-stacked">
        <?php echo TUNEIN; ?>
      </ul>
    <br /><br />
      <p>With <?php echo $songs_total; ?> tracks to choose from and <?php echo $artists_total; ?> artists, we're sure we'll have something you like on <?php echo SITE_NAME; ?></p>
    </div>
    
<?php require_once("assets/nowplaying.php"); ?>
    
  </div>
</div>
<footer id="footer">
  <p>&copy; <?php echo SITE_NAME; ?> <?php echo date("Y"); ?> All rights reserved. <?php if(!empty(ORS_LNUMB)){ echo '(Licence No:'.ORS_LNUMB.')'; }else{ echo ''; } ?><br /> POWERED BY <a style="color:#d2d2d2;" href="https://radiodj.ro" target="_blank">RADIODJ</a> - Developed By  <a style="color:#d2d2d2;" href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
</footer>
</div>
</body>
</html>