<?php 
require_once("config.php");

$topreq = '';
$i=1;
$sqltreq = "SELECT songID, COUNT(*) as ID FROM `requests` GROUP BY `songID` ORDER BY `ID` DESC LIMIT 0,".REQDISPLAYLIM."";
$treq = mysqli_query($db_conx, $sqltreq);
if($treq === FALSE) { echo ''; }
while($rtreq = mysqli_fetch_assoc($treq)) {
	
	$trsongID = mysqli_real_escape_string($db_conx, $rtreq['songID']);
	
	$sqlri2 = "SELECT * FROM `songs` WHERE `ID`='$trsongID'";
	$resultri2 = mysqli_query($db_conx, $sqlri2);
	while($tt2row = mysqli_fetch_assoc($resultri2)) {
	$ttsongID = mysqli_real_escape_string($db_conx, $tt2row["ID"]);
	$ttartist = $tt2row["artist"];
	$tttitle = mysqli_real_escape_string($db_conx, $tt2row["title"]);
	
	$ttartistcut = preg_replace('/\s+?(\S+)?$/', '', substr($tt2row['artist'] . ' ', 0, 32)). '';
	$tttitlecut = preg_replace('/\s+?(\S+)?$/', '', substr($tt2row['title'] . ' ', 0, 22)). '...';
	
	$sqltt = "SELECT `ID`, `image` FROM `songs` WHERE `ID`=".$ttsongID." LIMIT 1";
	$ttresult = mysqli_query($db_conx, $sqltt);
	while($ttrow = mysqli_fetch_assoc($ttresult)) {
	$ttmage = $ttrow['image'];
	}
	}

$topreq .= '
<div class="col-sm-3">
<span style="background:#161c20;position:absolute;line-height:14px;font-family:Arial Black,sans-serif;color:#71777a;font-size:12px;padding:4px;">'.$i.'</span>
<img src="Album-Art/'.$ttmage.'" width="100%" style="max-height:160px;min-height:160px;" alt="'.$ttartist.'">
<p>'.$ttartistcut.'<br />'.$tttitlecut.'</p>
</div>
';
$i++;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo SITE_NAME; ?> - <?php echo SITE_SLOG; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
  <link rel="stylesheet" type="text/css" href="assets/css/style.css">
  <style>
    .sidenav {
		background-color:#0f1115;
	  border-bottom:#0e0e0e solid 1px;
      height: 100%;
    }
    @media screen and (max-width: 767px) {
      .row.content {height: auto;} 
    }
  </style>
</head>
<body>
<div id="maincontain">
<nav class="navbar navbar-inverse visible-xs">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="/"><?php echo SITE_NAME; ?></a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav">
        <li><a href="/">Homepage</a></li>
        <li><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li><a href="topreq.php">Top Requested</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid">
  <div class="row content">
    <div class="col-sm-3 sidenav hidden-xs">
      <h2><img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:260px;max-height:70px;" alt="<?php echo SITE_NAME; ?>"></h2>
      <h2 align="center"><?php echo SITE_NAME; ?></h2><h4 align="center"><?php echo SITE_SLOG; ?></h4>
      <ul class="nav nav-pills nav-stacked">
        <li><a href="/">Homepage</a></li>
        <li><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Previously</a></li>
        <li class="active"><a href="topreq.php">Top Requested</a></li>
      </ul><br /><br /><ul class="nav nav-pills nav-stacked">
        <?php echo TUNEIN; ?>
      </ul>
    <br /><br />
    </div>
    
<div class="media" style="padding:4px;">

    <div class="col-sm-12">
    
  <?php echo $topreq; ?>
    </div>
</div>
    
    
<footer id="footer">
  <p>&copy; <?php echo SITE_NAME; ?> <?php echo date("Y"); ?> All rights reserved. <?php if(!empty(ORS_LNUMB)){ echo '(Licence No:'.ORS_LNUMB.')'; }else{ echo ''; } ?><br /> POWERED BY <a style="color:#d2d2d2;" href="https://radiodj.ro" target="_blank">RADIODJ</a> - Developed By  <a style="color:#d2d2d2;" href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
</footer>
</div>
</body>
</html>